function [ X_train, Y_train, X_test, Y_test] = data_formulate( X, Y5 )

randseed=1;
 
% Use 50% of the data (1 year data) as training set and rest as test data
TRAIN_size=fix(size(X,2)/2);
TEST_size=fix(size(X,2)/2);

% use 85% data for training
missing_ratio=1;
re_size=fix(TRAIN_size*missing_ratio);
rng(randseed);
idxs=randsample(TRAIN_size,re_size);

X_train=X(:,idxs(1:re_size),:);
Y_train=Y5(:,idxs(1:re_size));

% the rest as test set
X_test=X(:,fix(size(X,2)/2)+1:fix(size(X,2)/2)+TEST_size,:);
Y_test=Y5(:,fix(size(X,2)/2)+1:fix(size(X,2)/2)+TEST_size);

bX=X_train;
bY=Y_train;

rng(randseed);
idxs=randperm(TRAIN_size);
% X_train=bX(:,idxs(1:ceil(re_size*0.85)),:);
% Y_train=bY(:,idxs(1:ceil(re_size*0.85)));

X_train=bX(:,idxs,:);
Y_train=bY(:,idxs);



end

